TransferOptions (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.options

## Class TransferOptions

- java.lang.Object
- - org.gcube.datatransfer.common.options.TransferOptions

-     public class TransferOptions
      extends Object

  Author:
    andrea

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TransferOptions.ConversionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransferOptions.ConversionType` | `getConversionType()`
    `Types.StorageManagerDetails` | `getStorageManagerDetails()`
    `long` | `getTransferTimeout()`
    `Types.storageType` | `getType()`
    `boolean` | `isCovertFile()`
    `boolean` | `isDeleteOriginalFile()`
    `boolean` | `isOverwriteFile()`
    `boolean` | `isUnzipFile()`
    `void` | `setConversionType(TransferOptions.ConversionType conversionType)`
    `void` | `setCovertFile(boolean covertFile)`
    `void` | `setDeleteOriginalFile(boolean deleteOriginalFile)`
    `void` | `setOverwriteFile(boolean overwriteFile)`
    `void` | `setStorageManagerDetails(Types.StorageManagerDetails storageManagerDetails)`
    `void` | `setTransferTimeout(long transferTimeout, TimeUnit unit)`
    `void` | `setType(Types.storageType type)`
    `void` | `setUnzipFile(boolean unzipFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferOptions

          public TransferOptions()

  - ### Method Detail

    - #### getConversionType

          public TransferOptions.ConversionType getConversionType()

    - #### setConversionType

          public void setConversionType(TransferOptions.ConversionType conversionType)

    - #### isCovertFile

          public boolean isCovertFile()

    - #### setCovertFile

          public void setCovertFile(boolean covertFile)

    - #### isOverwriteFile

          public boolean isOverwriteFile()

    - #### setOverwriteFile

          public void setOverwriteFile(boolean overwriteFile)

    - #### isUnzipFile

          public boolean isUnzipFile()

    - #### setUnzipFile

          public void setUnzipFile(boolean unzipFile)

    - #### getType

          public Types.storageType getType()

    - #### setType

          public void setType(Types.storageType type)

    - #### getStorageManagerDetails

          public Types.StorageManagerDetails getStorageManagerDetails()

    - #### setStorageManagerDetails

          public void setStorageManagerDetails(Types.StorageManagerDetails storageManagerDetails)

    - #### isDeleteOriginalFile

          public boolean isDeleteOriginalFile()

    - #### setDeleteOriginalFile

          public void setDeleteOriginalFile(boolean deleteOriginalFile)

    - #### getTransferTimeout

          public long getTransferTimeout()

    - #### setTransferTimeout

          public void setTransferTimeout(long transferTimeout,
                                TimeUnit unit)

Copyright © 2015. All Rights Reserved.